       import java.awt.*;
       
       public class RandomWalk extends SimpleMosaicApplet {
       
          // Set up a 20-by-20 grid, instead of the default 40-by-40.
          
          public void init() { 
             rows = 20;
             columns = 20;
          }
          
          // Define the random wald program.
          
          public void program() {
          
             int row = rows / 2;    // start at center of grid
             int col = columns / 2;

             setColor(row,col,255,0,0); // make the square red
             
             while (true) {

                delay(30);  // insert a delay of 30 milliseconds

                setColor(row,col,0,0,0); // return current rect to black

                switch ( (int)(4*Math.random()) ) { // move to new rect
                   case 0:
                      if (row > 0)
                         row--;
                      break;
                   case 1:
                      if (col > 0)
                         col--;
                      break;
                   case 2:
                      if (row < 19)
                         row++;
                      break;
                   case 3:
                      if (col < 19)
                         col++;
                      break;
                }
                
                setColor(row,col,255,0,0);  // make new square red
             }

          } // end program
       
       } // end class RandomWalk
